org.apache.lucene.analysis.tokenattributes

## Class TermFrequencyAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.TermFrequencyAttributeImpl

- All Implemented Interfaces:
    Cloneable, TermFrequencyAttribute, Attribute

      public class TermFrequencyAttributeImpl
      extends AttributeImpl
      implements TermFrequencyAttribute, Cloneable

  Default implementation of `TermFrequencyAttribute`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermFrequencyAttributeImpl()` Initialize this attribute with term frequency of 1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `void` | `end()` Clears the values in this AttributeImpl and resets it to its value at the end of the field.
    `boolean` | `equals(Object other)`
    `int` | `getTermFrequency()` Returns the custom term frequency.
    `int` | `hashCode()`
    `void` | `reflectWith(AttributeReflector reflector)` This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
    `void` | `setTermFrequency(int termFrequency)` Set the custom term frequency of the current term within one document.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TermFrequencyAttributeImpl

          public TermFrequencyAttributeImpl()

      Initialize this attribute with term frequency of 1

  - ### Method Detail

    - #### setTermFrequency

          public void setTermFrequency(int termFrequency)

      Description copied from interface: `TermFrequencyAttribute`
      Set the custom term frequency of the current term within one document.
      Specified by:
        `setTermFrequency` in interface `TermFrequencyAttribute`

    - #### getTermFrequency

          public int getTermFrequency()

      Description copied from interface: `TermFrequencyAttribute`
      Returns the custom term frequency.
      Specified by:
        `getTermFrequency` in interface `TermFrequencyAttribute`

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### end

          public void end()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its value at the end of the field. If this implementation implements more than one Attribute interface it clears all.

      The default implementation simply calls `AttributeImpl.clear()`

      Overrides:
        `end` in class `AttributeImpl`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith(AttributeReflector reflector)

      Description copied from class: `AttributeImpl`
      This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

      Implementations look like this (e.g. for a combined attribute implementation):

             public void reflectWith(AttributeReflector reflector) {
               reflector.reflect(CharTermAttribute.class, "term", term());
               reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
             }

      If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

      Specified by:
        `reflectWith` in class `AttributeImpl`
      See Also:
        `AttributeImpl.reflectAsString(boolean)`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.